QGIS Application - Bug report #11175
GetProjectSettings reports the layer's attributes type as QString instead of string
2014-09-09 11:36 PM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19489
Description

I'm not sure if this is a problem with QString only or if this affects other types too. It seems that that string is generated calling
QVariant::typeToName which returns a string representation of the QVariant instance.

The attributes are used to build the layer properties dialog in QWC an probably other clients, of course we can do a search/replace in the
client but | wonder if doing it in the server wold be a better approach.

History

#1 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
